#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QShortcut>
#include "qxtglobalshortcut.h"

#include "sound.h"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = nullptr);
	~MainWindow();

public slots:
	void buttonPressed();
	void shortcut();
	void shortcut2();

private:
	void playSound();

	Ui::MainWindow *ui;
	QShortcut* sc;
	QxtGlobalShortcut* globalShortcut;
};
#endif // MAINWINDOW_H
